# Uses of Interface
ch.qos.logback.core.sift.Discriminator

Packages that use Discriminator
Package
Description
ch.qos.logback.access.sift
ch.qos.logback.classic.sift
ch.qos.logback.core.net
Contains the base classes used by logback to log to remote destinations.
ch.qos.logback.core.sift

## Uses of Discriminator in ch.qos.logback.access.sift

Classes in ch.qos.logback.access.sift that implement Discriminator
Modifier and Type
Class
Description
`class`
`AccessEventDiscriminator`
AccessEventDiscriminator's job is to return the value of a designated field in an `IAccessEvent` instance.
Methods in ch.qos.logback.access.sift with parameters of type Discriminator
Modifier and Type
Method
Description
`void`
SiftingAppender.`setDiscriminator(Discriminator<IAccessEvent> discriminator)`

## Uses of Discriminator in ch.qos.logback.classic.sift

Classes in ch.qos.logback.classic.sift that implement Discriminator
Modifier and Type
Class
Description
`class`
`ContextBasedDiscriminator`
This discriminator returns the value context to which this event is attached to.
`class`
`JNDIBasedContextDiscriminator`
This discriminator returns the value context as determined by JNDI.
`class`
`MDCBasedDiscriminator`
MDCBasedDiscriminator essentially returns the value mapped to an MDC key.
Methods in ch.qos.logback.classic.sift with parameters of type Discriminator
Modifier and Type
Method
Description
`void`
SiftingAppender.`setDiscriminator(Discriminator<ILoggingEvent> discriminator)`

## Uses of Discriminator in ch.qos.logback.core.net

Fields in ch.qos.logback.core.net declared as Discriminator
Modifier and Type
Field
Description
`protected Discriminator<E>`
SMTPAppenderBase.`discriminator`
Methods in ch.qos.logback.core.net that return Discriminator
Modifier and Type
Method
Description
`Discriminator<E>`
SMTPAppenderBase.`getDiscriminator()`
Methods in ch.qos.logback.core.net with parameters of type Discriminator
Modifier and Type
Method
Description
`void`
SMTPAppenderBase.`setDiscriminator(Discriminator<E> discriminator)`

## Uses of Discriminator in ch.qos.logback.core.sift

Classes in ch.qos.logback.core.sift that implement Discriminator
Modifier and Type
Class
Description
`class`
`AbstractDiscriminator<E>`
Base implementation of `Discriminator` that provides basic lifecycle management
`class`
`DefaultDiscriminator<E>`
Methods in ch.qos.logback.core.sift that return Discriminator
Modifier and Type
Method
Description
`Discriminator<E>`
SiftingAppenderBase.`getDiscriminator()`
Methods in ch.qos.logback.core.sift with parameters of type Discriminator
Modifier and Type
Method
Description
`void`
SiftingAppenderBase.`setDiscriminator(Discriminator<E> discriminator)`